{{ ansible_managed | comment('plain', prefix='#######\n#', postfix='#\n#######\n') }}
[includeIf "gitdir:{{ ansible_env.HOME }}/Repos/open-source/"]
  path = {{ ansible_env.HOME }}/.gitconfig_open_source
[includeIf "gitdir:{{ ansible_env.HOME }}/Repos/work/"]
  path = {{ ansible_env.HOME }}/.gitconfig_work
[includeIf "gitdir:{{ ansible_env.HOME }}/Projects/"]
  path = {{ ansible_env.HOME }}/.gitconfig_work
[commit]
	gpgsign = false
	template = {{ ansible_env.HOME }}/.git-commit-template.commit
[core]
	editor = editor
  logallrefupdates = true
  sharedRepository = 0644
  compression = 9
[push]
	default = simple
[status]
  submoduleSummary = true
[diff]
  submodule = log
  tool = vimdiff
[merge]
  log = true
  tool = vimdiff
  conflictstyle = diff3
[difftool]
  prompt = false
[mergetool "vimdiff"]
  prompt = false
  cmd = nvim -d $LOCAL $REMOTE $MERGED -c '$wincmd w' -c 'wincmd J'
[fetch]
  recurseSubmodules = on-demand
[receive]
  fsckObjects = true
  denyDeletes = true
  denyDeleteCurrent = true
  denyCurrentBranch = true
  denyNonFastForwards = true
[rebase]
  stat = true
[color]
  ui = auto
[gpg]
  program = gpg2
[credential]
  helper = store
{#
vim: ft=jinja2
#}
